Name:           moonshot-ui
Version:        1.2.1
Release:        1%{?dist}
Summary:        Moonshot Federated Identity User Interface

Group:          Security Tools
License:        BSD
URL:            http://www.project-moonshot.org/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:      glib2-devel

%if 0%{?el6}
BuildRequires:      gtk2-devel
BuildRequires:      gnome-keyring-devel
Requires:           dejavu-sans-fonts
%else
BuildRequires:      libsecret-devel, gcr-devel
BuildRequires:      gtk3-devel
%endif

BuildRequires:      libgee-devel
BuildRequires:      dbus-devel
BuildRequires:      openssl-devel
BuildRequires:      desktop-file-utils
BuildRequires:      shared-mime-info
BuildRequires:      vala
BuildRequires:      keyutils-libs-devel
Requires:           desktop-file-utils, shared-mime-info, dbus-x11

%description


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/dbus-1/services
ln -s ../../moonshot-ui/dbus/org.janet.Moonshot.service $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/org.janet.Moonshot.service

%check
%if 0%{?el6}
# make check fails in Centos 6
%else
make check
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%post
	/usr/bin/update-desktop-database
    /usr/bin/gtk-update-icon-cache -tq /usr/share/icons/hicolor 2>/dev/null ||:

%postun
	/usr/bin/update-desktop-database
    /usr/bin/gtk-update-icon-cache -tq /usr/share/icons/hicolor 2>/dev/null ||:

%package devel
Summary: Moonshot UI Development
Requires: moonshot-ui  = %{version}-%{release}

%description devel

	     Moonshot UI development




%files
%defattr(-,root,root,-)
%{_bindir}/moonshot
%{_bindir}/moonshot-webp
%{_bindir}/moonshot-keyring-tool
%{_bindir}/moonshot-idcard-generator
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*
%{_datadir}/mime/packages/*
%{_datadir}/moonshot-ui
%{_datadir}/doc/moonshot-ui
%{_libdir}/libmoonshot.so.*
%config(noreplace) %{_sysconfdir}/moonshot/*
%doc webprovisioning/default-identity.msht
%{_datadir}/icons/hicolor/scalable/apps/*

%files devel
%{_includedir}/*.h
%{_libdir}/libmoonshot.a
%{_libdir}/libmoonshot.so
%exclude %{_libdir}/*.la

%changelog
